@echo off
set BACKUP_DIR=..\backup7114
set vs2010="C:\Program Files\Microsoft Visual Studio 10.0\Common7\Tools\vsvars32.bat"
set vs2010x86="C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\Tools\vsvars32.bat"
set vs2008="C:\Program Files\Microsoft Visual Studio 9.0\Common7\Tools\vsvars32.bat"
set vs2008x86="C:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\Tools\vsvars32.bat"
set gac=true
if not exist %vs2010% goto test2010x68
call %vs2010%
goto testbackup
:test2010x68
if not exist %vs2010x86% goto test2008
call %vs2010x86%
goto testbackup
:test2008
if not exist %vs2008% goto test2008x68
call %vs2008%
goto testbackup
:test2008x68
if not exist %vs2008x86% goto notfound
call %vs2008x86%
goto testbackup
:notfound
set gac=false
:testbackup
if exist %BACKUP_DIR%\ILOG.Rules.RuleEngine.dll goto install
echo Backing up V7.1.1.4 installation
mkdir %BACKUP_DIR% 
copy /Y ..\Bin\ILOG.Rules.RuleEngine.dll %BACKUP_DIR% 
:install
echo installing 7.1.1 Fix Pack 4 Interim Fix 013
rem copy the patched file into the public assemblies folder 
copy /Y ILOG.Rules.RuleEngine.dll ..\Bin
REM Check if the GAC is been used
if "%gac%" == "false" goto end
REM Check if the ruleEngine dll is in the GAC
FOR /F "usebackq" %%c IN (`gacutil -l ILOG.Rules.RuleEngine ^| find "= 1" /c`) do set installed=%%c
if "%installed%" == "0" goto end
REM Replace RuleEngine in the GAC
gacutil -i ILOG.Rules.RuleEngine.dll
echo installation completed...
:end